Name:           ocaml-theora
Version:        0.3.0
Release:        %mkrel 9
Summary:        OCaml interface to the theora library
License:        GPL
Group:          Development/OCaml
URL:            http://sourceforge.net/projects/savonet/files/ocaml-theora/
Source0:        http://downloads.sourceforge.net/project/savonet/ocaml-theora/%{version}/ocaml-theora-%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  libtheora-devel
BuildRequires:  ocaml-ogg-devel
Requires:       ocaml-ogg
Requires:       libtheora

%description
This package contains an OCaml interface for 
Theora Video Compression Codec Library, 
otherwise known as libtheora.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libtheora-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure
make all
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/theora
make install

%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/theora
%{_libdir}/ocaml/theora/META
%{_libdir}/ocaml/theora/*.cma
%{_libdir}/ocaml/theora/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html/
%{_libdir}/ocaml/theora/*.a
%{_libdir}/ocaml/theora/*.cmxa
%{_libdir}/ocaml/theora/*.cmx
%{_libdir}/ocaml/theora/*.mli


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 0.3.0-9.mga6
+ Revision: 963911
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-8.mga5
+ Revision: 748978
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-7.mga5
+ Revision: 683115
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-6.mga4
+ Revision: 508616
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-5.mga3
+ Revision: 361662
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.3.0-4.mga3
+ Revision: 301573
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.3.0-3.mga3
+ Revision: 300384
- url
- new rpm group for ocaml

* Wed Mar 28 2012 malo <malo> 0.3.0-2.mga2
+ Revision: 227305
- add missing Requires to libtheora-devel

* Thu Jan 12 2012 blue_prawn <blue_prawn> 0.3.0-1.mga2
+ Revision: 195065
- imported package ocaml-theora

